org.eclipse.jdt.core.refactoring.descriptors

## Class JavaRefactoringContribution

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.RefactoringContribution
  - - org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringContribution

    public abstract class JavaRefactoringContribution
    extends RefactoringContribution

Partial implementation of a Java refactoring contribution.

Note: this class is not intended to be extended outside the refactoring framework.

Since:
  1.1
Restriction:
  This class is not intended to be subclassed by clients outside JDT

### Constructor Summary

Constructors
Constructor and Description
`JavaRefactoringContribution()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Refactoring` `createRefactoring(JavaRefactoringDescriptor descriptor, RefactoringStatus status)` Creates the a new refactoring instance.
`Map<String,String>` `retrieveArgumentMap(RefactoringDescriptor descriptor)`

### Methods inherited from class org.eclipse.ltk.core.refactoring.RefactoringContribution

`createDescriptor, createDescriptor, getId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaRefactoringContribution

    public JavaRefactoringContribution()

### Method Detail

#### retrieveArgumentMap

    public final Map<String,String> retrieveArgumentMap(RefactoringDescriptor descriptor)

Overrides:
  `retrieveArgumentMap` in class `RefactoringContribution`

#### createRefactoring

    public abstract Refactoring createRefactoring(JavaRefactoringDescriptor descriptor,
                                                  RefactoringStatus status)
                                           throws CoreException

Creates the a new refactoring instance.

Parameters:
  `descriptor` - the refactoring descriptor
  `status` - the status used for the resulting status
Returns:
  the refactoring, or `null`
Throws:
  `CoreException` - if an error occurs while creating the refactoring
Since:
  1.2